/*
    Created by Quo
*/
 


INSERT INTO tblQuoDebug 
	(DebugID, 		x_Open, x_Close, 	Message)
VALUES ('Quo_Secrets_Code',	'1',	'0',		'') ;



-- ===============================================================================
-- SECRET AGENDAS
-- This system is still under construction and slated for a possible future release.
-- ===============================================================================


-- Create a table of clones of the existing Secret Agendas to reference later
CREATE TABLE tblQuoRandomAgendaClones AS 
SELECT * FROM RandomAgendas 
INNER JOIN Agendas ON Agendas.AgendaType= RandomAgendas.AgendaType 
INNER JOIN AgendaTraits ON AgendaTraits.AgendaType = Agendas.AgendaType; 


UPDATE tblQuoDebug SET Message = 'Requirements' WHERE DebugId='Quo_Secrets_Code' ;
		
-- ======================= SECRET REQUIREMENTS ============================		

INSERT INTO Requirements
	(RequirementId, 		RequirementType, 				Likeliness,	Inverse, 	Triggered)
VALUES	('QUO_REQ_SECRET_HAS_CAMPUS', 	'REQUIREMENT_CITY_HAS_DISTRICT',	0,0,0) , 
		('QUO_REQ_SECRET_HAS_AERODROME', 		'REQUIREMENT_CITY_HAS_DISTRICT',	0,0,0) ,
		('QUO_REQ_SECRET_HAS_THEATER', 		'REQUIREMENT_CITY_HAS_DISTRICT',	0,0,0) ,
		('QUO_REQ_SECRET_HAS_INDUSTRIAL', 		'REQUIREMENT_CITY_HAS_DISTRICT',	0,0,0) ,
		('QUO_REQ_SECRET_HAS_COMMERCIAL', 		'REQUIREMENT_CITY_HAS_DISTRICT',	0,0,0) ,
		('QUO_REQ_SECRET_HAS_ENTERTAINMENT', 		'REQUIREMENT_CITY_HAS_DISTRICT',	0,0,0) ,
		('QUO_REQ_SECRET_HAS_ENCAMPMENT', 		'REQUIREMENT_CITY_HAS_DISTRICT',	0,0,0) ,
		('QUO_REQ_SECRET_HAS_HARBOR', 		'REQUIREMENT_CITY_HAS_DISTRICT',	0,0,0) ,
		('QUO_REQ_SECRET_HAS_NEIGHBORHOOD', 		'REQUIREMENT_CITY_HAS_DISTRICT',	0,0,0) ,
		('QUO_REQ_SECRET_HAS_HOLY', 		'REQUIREMENT_CITY_HAS_DISTRICT',	0,0,0) ,
		
		('QUO_REQ_SECRET_NOT_HAS_CAMPUS', 	'REQUIREMENT_CITY_HAS_DISTRICT',	0,1,0) , 
		('QUO_REQ_SECRET_NOT_HAS_AERODROME', 		'REQUIREMENT_CITY_HAS_DISTRICT',	0,1,0) ,
		('QUO_REQ_SECRET_NOT_HAS_THEATER', 		'REQUIREMENT_CITY_HAS_DISTRICT',	0,1,0) ,
		('QUO_REQ_SECRET_NOT_HAS_INDUSTRIAL', 		'REQUIREMENT_CITY_HAS_DISTRICT',	0,1,0) ,
		('QUO_REQ_SECRET_NOT_HAS_COMMERCIAL', 		'REQUIREMENT_CITY_HAS_DISTRICT',	0,1,0) ,
		('QUO_REQ_SECRET_NOT_HAS_ENTERTAINMENT', 		'REQUIREMENT_CITY_HAS_DISTRICT',	0,1,0) ,
		('QUO_REQ_SECRET_NOT_HAS_ENCAMPMENT', 		'REQUIREMENT_CITY_HAS_DISTRICT',	0,1,0) ,
		('QUO_REQ_SECRET_NOT_HAS_HARBOR', 		'REQUIREMENT_CITY_HAS_DISTRICT',	0,1,0) ,
		('QUO_REQ_SECRET_NOT_HAS_NEIGHBORHOOD', 		'REQUIREMENT_CITY_HAS_DISTRICT',	0,1,0) ,
		('QUO_REQ_SECRET_NOT_HAS_HOLY', 		'REQUIREMENT_CITY_HAS_DISTRICT',	0,1,0) ,
		
		
		('QUO_REQ_SECRET_NOT_HAS_DENOUNCED_FRIEND', 		'REQUIREMENT_DENOUNCED_FRIEND',	0,1,0) ;
		
		
		
INSERT INTO RequirementArguments 
		(RequirementId,			Name, 			Type, 			Value, 		Extra, 	SecondExtra)		
VALUES ('QUO_REQ_SECRET_HAS_HOLY',	'DistrictType',		'ARGTYPE_IDENTITY',	'DISTRICT_HOLY_SITE',	NULL,	NULL 	)   ,
		('QUO_REQ_SECRET_HAS_CAMPUS',	'DistrictType',		'ARGTYPE_IDENTITY',	'DISTRICT_CAMPUS',	NULL,	NULL 	)   ,
		('QUO_REQ_SECRET_HAS_AERODROME',	'DistrictType',		'ARGTYPE_IDENTITY',	'DISTRICT_AERODROME',	NULL,	NULL 	)   ,
		('QUO_REQ_SECRET_HAS_THEATER',	'DistrictType',		'ARGTYPE_IDENTITY',	'DISTRICT_THEATER',	NULL,	NULL 	)   ,
		('QUO_REQ_SECRET_HAS_INDUSTRIAL',	'DistrictType',		'ARGTYPE_IDENTITY',	'DISTRICT_INDUSTRIAL_ZONE',	NULL,	NULL 	)   ,
		('QUO_REQ_SECRET_HAS_COMMERCIAL',	'DistrictType',		'ARGTYPE_IDENTITY',	'DISTRICT_COMMERCIAL_HUB',	NULL,	NULL 	)   ,
		('QUO_REQ_SECRET_HAS_ENCAMPMENT',	'DistrictType',		'ARGTYPE_IDENTITY',	'DISTRICT_ENCAMPMENT',	NULL,	NULL 	)   ,
		('QUO_REQ_SECRET_HAS_ENTERTAINMENT',	'DistrictType',		'ARGTYPE_IDENTITY',	'DISTRICT_ENTERTAINMENT_COMPLEX',	NULL,	NULL 	)   ,
		('QUO_REQ_SECRET_HAS_HARBOR',	'DistrictType',		'ARGTYPE_IDENTITY',	'DISTRICT_HARBOR',	NULL,	NULL 	)   ,
		('QUO_REQ_SECRET_HAS_NEIGHBORHOOD',	'DistrictType',		'ARGTYPE_IDENTITY',	'DISTRICT_NEIGHBORHOOD',	NULL,	NULL 	)   ,


		('QUO_REQ_SECRET_NOT_HAS_HOLY',	'DistrictType',		'ARGTYPE_IDENTITY',	'DISTRICT_HOLY_SITE',	NULL,	NULL 	)   ,
		('QUO_REQ_SECRET_NOT_HAS_CAMPUS',	'DistrictType',		'ARGTYPE_IDENTITY',	'DISTRICT_CAMPUS',	NULL,	NULL 	)   ,
		('QUO_REQ_SECRET_NOT_HAS_AERODROME',	'DistrictType',		'ARGTYPE_IDENTITY',	'DISTRICT_AERODROME',	NULL,	NULL 	)   ,
		('QUO_REQ_SECRET_NOT_HAS_THEATER',	'DistrictType',		'ARGTYPE_IDENTITY',	'DISTRICT_THEATER',	NULL,	NULL 	)   ,
		('QUO_REQ_SECRET_NOT_HAS_INDUSTRIAL',	'DistrictType',		'ARGTYPE_IDENTITY',	'DISTRICT_INDUSTRIAL_ZONE',	NULL,	NULL 	)   ,
		('QUO_REQ_SECRET_NOT_HAS_COMMERCIAL',	'DistrictType',		'ARGTYPE_IDENTITY',	'DISTRICT_COMMERCIAL_HUB',	NULL,	NULL 	)   ,
		('QUO_REQ_SECRET_NOT_HAS_ENCAMPMENT',	'DistrictType',		'ARGTYPE_IDENTITY',	'DISTRICT_ENCAMPMENT',	NULL,	NULL 	)   ,
		('QUO_REQ_SECRET_NOT_HAS_ENTERTAINMENT',	'DistrictType',		'ARGTYPE_IDENTITY',	'DISTRICT_ENTERTAINMENT_COMPLEX',	NULL,	NULL 	)   ,
		('QUO_REQ_SECRET_NOT_HAS_HARBOR',	'DistrictType',		'ARGTYPE_IDENTITY',	'DISTRICT_HARBOR',	NULL,	NULL 	)   ,
		('QUO_REQ_SECRET_NOT_HAS_NEIGHBORHOOD',	'DistrictType',		'ARGTYPE_IDENTITY',	'DISTRICT_NEIGHBORHOOD',	NULL,	NULL 	)   ;
		
		
INSERT INTO RequirementSets 
	(RequirementSetId, 				RequirementSetType)
VALUES 	('QUO_REQSET_SECRET_HAS_HOLY', 	'REQUIREMENTSET_TEST_ALL') ,
		('QUO_REQSET_SECRET_HAS_CAMPUS', 	'REQUIREMENTSET_TEST_ALL') ,
		('QUO_REQSET_SECRET_HAS_AERODROME', 	'REQUIREMENTSET_TEST_ALL') ,
		('QUO_REQSET_SECRET_HAS_THEATER', 	'REQUIREMENTSET_TEST_ALL') ,
		('QUO_REQSET_SECRET_HAS_INDUSTRIAL', 	'REQUIREMENTSET_TEST_ALL') ,
		('QUO_REQSET_SECRET_HAS_COMMERCIAL', 	'REQUIREMENTSET_TEST_ALL') ,
		('QUO_REQSET_SECRET_HAS_ENCAMPMENT', 	'REQUIREMENTSET_TEST_ALL') ,
		('QUO_REQSET_SECRET_HAS_ENTERTAINMENT', 	'REQUIREMENTSET_TEST_ALL') ,
		('QUO_REQSET_SECRET_HAS_HARBOR', 	'REQUIREMENTSET_TEST_ALL') ,
		('QUO_REQSET_SECRET_HAS_NEIGHBORHOOD', 	'REQUIREMENTSET_TEST_ALL') ,

		('QUO_REQSET_SECRET_NOT_HAS_HOLY', 	'REQUIREMENTSET_TEST_ALL') ,
		('QUO_REQSET_SECRET_NOT_HAS_CAMPUS', 	'REQUIREMENTSET_TEST_ALL') ,
		('QUO_REQSET_SECRET_NOT_HAS_AERODROME', 	'REQUIREMENTSET_TEST_ALL') ,
		('QUO_REQSET_SECRET_NOT_HAS_THEATER', 	'REQUIREMENTSET_TEST_ALL') ,
		('QUO_REQSET_SECRET_NOT_HAS_INDUSTRIAL', 	'REQUIREMENTSET_TEST_ALL') ,
		('QUO_REQSET_SECRET_NOT_HAS_COMMERCIAL', 	'REQUIREMENTSET_TEST_ALL') ,
		('QUO_REQSET_SECRET_NOT_HAS_ENCAMPMENT', 	'REQUIREMENTSET_TEST_ALL') ,
		('QUO_REQSET_SECRET_NOT_HAS_ENTERTAINMENT', 	'REQUIREMENTSET_TEST_ALL') ,
		('QUO_REQSET_SECRET_NOT_HAS_HARBOR', 	'REQUIREMENTSET_TEST_ALL') ,
		('QUO_REQSET_SECRET_NOT_HAS_NEIGHBORHOOD', 	'REQUIREMENTSET_TEST_ALL') ,
		
		('QUO_REQSET_SECRET_BENIGN', 	'REQUIREMENTSET_TEST_ANY') ,
		('QUO_REQSET_SECRET_DOTARD', 	'REQUIREMENTSET_TEST_ANY') ;


INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	('QUO_REQSET_SECRET_HAS_HOLY', 	'QUO_REQ_SECRET_HAS_HOLY') ,
		('QUO_REQSET_SECRET_HAS_CAMPUS', 	'QUO_REQ_SECRET_HAS_CAMPUS') ,
		('QUO_REQSET_SECRET_HAS_AERODROME', 	'QUO_REQ_SECRET_HAS_AERODROME') ,
		('QUO_REQSET_SECRET_HAS_THEATER', 	'QUO_REQ_SECRET_HAS_THEATER') ,
		('QUO_REQSET_SECRET_HAS_INDUSTRIAL', 	'QUO_REQ_SECRET_HAS_INDUSTRIAL') ,
		('QUO_REQSET_SECRET_HAS_COMMERCIAL', 	'QUO_REQ_SECRET_HAS_COMMERCIAL') ,
		('QUO_REQSET_SECRET_HAS_ENCAMPMENT', 	'QUO_REQ_SECRET_HAS_ENCAMPMENT') ,
		('QUO_REQSET_SECRET_HAS_ENTERTAINMENT', 	'QUO_REQ_SECRET_HAS_ENTERTAINMENT') ,
		('QUO_REQSET_SECRET_HAS_HARBOR', 	'QUO_REQ_SECRET_HAS_HARBOR') ,
		('QUO_REQSET_SECRET_HAS_NEIGHBORHOOD', 	'QUO_REQ_SECRET_HAS_NEIGHBORHOOD') ,

		('QUO_REQSET_SECRET_NOT_HAS_HOLY', 	'QUO_REQ_SECRET_NOT_HAS_HOLY') ,
		('QUO_REQSET_SECRET_NOT_HAS_CAMPUS', 	'QUO_REQ_SECRET_NOT_HAS_CAMPUS') ,
		('QUO_REQSET_SECRET_NOT_HAS_AERODROME', 	'QUO_REQ_SECRET_NOT_HAS_AERODROME') ,
		('QUO_REQSET_SECRET_NOT_HAS_THEATER', 	'QUO_REQ_SECRET_NOT_HAS_THEATER') ,
		('QUO_REQSET_SECRET_NOT_HAS_INDUSTRIAL', 	'QUO_REQ_SECRET_NOT_HAS_INDUSTRIAL') ,
		('QUO_REQSET_SECRET_NOT_HAS_COMMERCIAL', 	'QUO_REQ_SECRET_NOT_HAS_COMMERCIAL') ,
		('QUO_REQSET_SECRET_NOT_HAS_ENCAMPMENT', 	'QUO_REQ_SECRET_NOT_HAS_ENCAMPMENT') ,
		('QUO_REQSET_SECRET_NOT_HAS_ENTERTAINMENT', 	'QUO_REQ_SECRET_NOT_HAS_ENTERTAINMENT') ,
		('QUO_REQSET_SECRET_NOT_HAS_HARBOR', 	'QUO_REQ_SECRET_NOT_HAS_HARBOR') ,
		('QUO_REQSET_SECRET_NOT_HAS_NEIGHBORHOOD', 	'QUO_REQ_SECRET_NOT_HAS_NEIGHBORHOOD') ,

		-- only activate the Not requirements for cities with at least X districts
		('QUO_REQSET_SECRET_NOT_HAS_HOLY', 	'REQUIRES_CITY_HAS_2_SPECIALTY_DISTRICTS') ,
		('QUO_REQSET_SECRET_NOT_HAS_CAMPUS', 	'REQUIRES_CITY_HAS_2_SPECIALTY_DISTRICTS') ,
		('QUO_REQSET_SECRET_NOT_HAS_AERODROME', 	'REQUIRES_CITY_HAS_2_SPECIALTY_DISTRICTS') ,
		('QUO_REQSET_SECRET_NOT_HAS_THEATER', 	'REQUIRES_CITY_HAS_2_SPECIALTY_DISTRICTS') ,
		('QUO_REQSET_SECRET_NOT_HAS_INDUSTRIAL', 	'REQUIRES_CITY_HAS_2_SPECIALTY_DISTRICTS') ,
		('QUO_REQSET_SECRET_NOT_HAS_COMMERCIAL', 	'REQUIRES_CITY_HAS_2_SPECIALTY_DISTRICTS') ,
		('QUO_REQSET_SECRET_NOT_HAS_ENCAMPMENT', 	'REQUIRES_CITY_HAS_2_SPECIALTY_DISTRICTS') ,
		('QUO_REQSET_SECRET_NOT_HAS_ENTERTAINMENT', 	'REQUIRES_CITY_HAS_2_SPECIALTY_DISTRICTS') ,
		('QUO_REQSET_SECRET_NOT_HAS_HARBOR', 	'REQUIRES_CITY_HAS_2_SPECIALTY_DISTRICTS') ,
		('QUO_REQSET_SECRET_NOT_HAS_NEIGHBORHOOD', 	'REQUIRES_CITY_HAS_2_SPECIALTY_DISTRICTS') ,
		
		('QUO_REQSET_SECRET_BENIGN', 	'QUO_REQ_SECRET_NOT_HAS_DENOUNCED_FRIEND') ,
		('QUO_REQSET_SECRET_BENIGN', 	'REQUIRES_PLAYER_DECLARED_FRIEND') ,
		
		('QUO_REQSET_SECRET_DOTARD', 	'REQUIRES_PLAYER_DENOUNCED') ;
		


-- BONUSES
UPDATE tblQuoDebug SET Message = 'Bonuses' WHERE DebugId='Quo_Secrets_Code' ;


INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	
	('QUO_SECRET_AIRPOWER_BONUS', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_CHANGE', 0, 0, NULL, 'QUO_REQSET_SECRET_HAS_AERODROME') ,


	('QUO_SECRET_CITY_STATE_ALLY_BONUS', 'MODIFIER_PLAYER_ADJUST_INFLUENCE_POINTS_PER_TURN', 0, 0, NULL, NULL) ,


	('QUO_SECRET_CITY_STATE_PROTECTOR_BONUS', 'MODIFIER_PLAYER_ADJUST_INFLUENCE_POINTS_PER_TURN', 0, 0, NULL, NULL) ,


	('QUO_SECRET_CIVILIZED_BONUS', 'MODIFIER_PLAYER_ADJUST_TRADE_ROUTE_CAPACITY', 0, 0, NULL, NULL) ,


	('QUO_SECRET_CULTURED_BONUS', 'MODIFIER_PLAYER_ADJUST_CIVIC_BOOST', 0, 0, NULL, NULL) ,


	('QUO_SECRET_DARWINIST_BONUS', 'MODIFIER_PLAYER_UNITS_ATTACH_MODIFIER', 0, 0, NULL, NULL) ,
	('QUO_SECRET_DARWINIST_BONUS_UNIT', 'MODIFIER_PLAYER_UNIT_ADJUST_GREAT_PEOPLE_POINTS_PER_KILL', 0, 0, NULL, NULL) ,


	('QUO_SECRET_DEVOUT_BONUS', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_CHANGE', 0, 0, NULL, 'QUO_REQSET_SECRET_HAS_HOLY') ,


	('QUO_SECRET_ENVIRONMENTALIST_BONUS', 'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER', 0, 0, NULL, NULL) ,
	('QUO_SECRET_ENVIRONMENTALIST_BONUS_CITY', 'MODIFIER_CITY_PLOT_YIELDS_ADJUST_PLOT_YIELD', 0, 0, NULL, NULL) ,


	('QUO_SECRET_EXPLOITATIVE_BONUS', 'MODIFIER_PLAYER_UNITS_ADJUST_BUILDER_CHARGES', 0, 0, NULL, NULL) ,


	('QUO_SECRET_EXPLORER_BONUS', 'MODIFIER_PLAYER_UNITS_ATTACH_MODIFIER', 0, 0, NULL, 'SURVEY_RECONUNITEXPERIENCE_REQUIREMENTS') ,
	('QUO_SECRET_EXPLORER_BONUS_UNIT', 'MODIFIER_PLAYER_UNIT_ADJUST_MOVEMENT', 0, 0, NULL, NULL) ,


	('QUO_SECRET_FUN_LOVING_BONUS', 'MODIFIER_PLAYER_CITIES_ADJUST_POLICY_AMENITY', 0, 0, NULL, 'QUO_REQSET_SECRET_NOT_HAS_ENTERTAINMENT') ,


	('QUO_SECRET_GREAT_PERSON_ADVOCATE_BONUS', 'MODIFIER_PLAYER_UNITS_ADJUST_GREAT_PERSON_CHARGES', 0, 0, NULL, 'UNIT_IS_ENGINEER') ,


	('QUO_SECRET_IDEOLOGUE_BONUS', 'MODIFIER_PLAYER_ADJUST_DUPLICATE_INFLUENCE_TOKEN_WHEN_RIVAL_GOVERNMENT', 0, 0, NULL, NULL) ,


	('QUO_SECRET_INDUSTRIALIST_BONUS', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_CHANGE', 0, 0, NULL, 'QUO_REQSET_SECRET_HAS_INDUSTRIAL') ,


	('QUO_SECRET_MONEY_GRUBBER_BONUS', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_CHANGE', 0, 0, NULL, 'QUO_REQSET_SECRET_HAS_COMMERCIAL') ,

	('QUO_SECRET_NUKE_LOVER_BONUS', 'MODIFIER_PLAYER_CITIES_ENABLE_UNIT_FAITH_PURCHASE', 0, 0, NULL, NULL) ,


	('QUO_SECRET_PARANOID_BONUS', 'MODIFIER_PLAYER_ADJUST_SPY_BONUS', 0, 0, NULL, NULL) ,


	('QUO_SECRET_POPULOUS_BONUS', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_CHANGE', 0, 0, NULL, 'QUO_REQSET_SECRET_HAS_NEIGHBORHOOD') ,


	('QUO_SECRET_STANDING_ARMY_BONUS', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_CHANGE', 0, 0, NULL, 'QUO_REQSET_SECRET_HAS_ENCAMPMENT') ,

	-- technophile grants bonus toward eurekas
	('QUO_SECRET_TECHNOPHILE_BONUS', 'MODIFIER_PLAYER_ADJUST_TECHNOLOGY_BOOST', 0, 0, NULL, NULL) ,


	('QUO_SECRET_WONDER_ADVOCATE_BONUS', 'MODIFIER_PLAYER_CITIES_ADJUST_WONDER_PRODUCTION', 0, 0, NULL, NULL) ;


	
INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	
		('QUO_SECRET_AIRPOWER_BONUS', 	'Amount', 	'ARGTYPE_IDENTITY', 	'2',			NULL, 	NULL) , 
		('QUO_SECRET_AIRPOWER_BONUS', 	'YieldType',	 'ARGTYPE_IDENTITY', 	'YIELD_PRODUCTION',	NULL, 	NULL) ,


		('QUO_SECRET_CITY_STATE_ALLY_BONUS', 	'Amount', 	'ARGTYPE_IDENTITY', 	'1',		NULL, NULL) , 
		
		('QUO_SECRET_CITY_STATE_PROTECTOR_BONUS', 	'Amount', 	'ARGTYPE_IDENTITY', 	'1',		NULL, NULL) ,
		
		('QUO_SECRET_CIVILIZED_BONUS', 	'Amount', 	'ARGTYPE_IDENTITY', 		'1',			NULL, NULL) ,
		
		('QUO_SECRET_CULTURED_BONUS', 	'Amount', 	'ARGTYPE_IDENTITY', 	'5',			NULL, 	NULL) ,
		
		('QUO_SECRET_DARWINIST_BONUS', 	'ModifierId', 	'ARGTYPE_IDENTITY', 	'QUO_SECRET_DARWINIST_BONUS_UNIT',			NULL, 	NULL) ,
		('QUO_SECRET_DARWINIST_BONUS_UNIT', 	'Amount', 	'ARGTYPE_IDENTITY', 	'1',			NULL, 	NULL) ,
		('QUO_SECRET_DARWINIST_BONUS_UNIT', 	'GreatPersonClassType', 	'ARGTYPE_IDENTITY', 	'GREAT_PERSON_CLASS_GENERAL',			NULL, 	NULL) ,
		
		('QUO_SECRET_DEVOUT_BONUS', 	'Amount', 	'ARGTYPE_IDENTITY', 	'2',			NULL, 	NULL) , 
		('QUO_SECRET_DEVOUT_BONUS', 	'YieldType',	 'ARGTYPE_IDENTITY', 	'YIELD_FAITH',	NULL, 	NULL) ,
		
		('QUO_SECRET_ENVIRONMENTALIST_BONUS', 	'ModifierType', 	'ARGTYPE_IDENTITY', 	'QUO_SECRET_ENVIRONMENTALIST_BONUS_CITY',		NULL, 	NULL),
		('QUO_SECRET_ENVIRONMENTALIST_BONUS_CITY', 	'Amount', 	'ARGTYPE_IDENTITY', 	'1',			NULL, 	NULL),
		('QUO_SECRET_ENVIRONMENTALIST_BONUS_CITY', 	'YieldType', 	'ARGTYPE_IDENTITY', 	'YIELD_CULTURE',			NULL, 	NULL) ,
		
		('QUO_SECRET_EXPLOITATIVE_BONUS', 	'Amount', 	'ARGTYPE_IDENTITY', 	'1',			NULL, 	NULL) ,
		
		('QUO_SECRET_EXPLORER_BONUS_UNIT', 	'Amount', 	'ARGTYPE_IDENTITY', 	'1',					NULL, 	NULL) ,	
		('QUO_SECRET_EXPLORER_BONUS', 	'ModifierId', 	'ARGTYPE_IDENTITY', 	'QUO_SECRET_EXPLORER_BONUS_UNIT',		NULL, 	NULL) ,
		
		('QUO_SECRET_FUN_LOVING_BONUS', 	'Amount', 	'ARGTYPE_IDENTITY', 	'1',			NULL, 	NULL) ,
		
		('QUO_SECRET_GREAT_PERSON_ADVOCATE_BONUS', 	'Amount', 	'ARGTYPE_IDENTITY', 	'1',			NULL, 	NULL) , 
		
		('QUO_SECRET_IDEOLOGUE_BONUS', 	'Amount', 	'ARGTYPE_IDENTITY', 	'1',			NULL, 	NULL) ,
		
		('QUO_SECRET_INDUSTRIALIST_BONUS', 	'Amount', 	'ARGTYPE_IDENTITY', 	'2',			NULL, 	NULL) , 
		('QUO_SECRET_INDUSTRIALIST_BONUS', 	'YieldType',	 'ARGTYPE_IDENTITY', 	'YIELD_PRODUCTION',	NULL, 	NULL) ,
		
		('QUO_SECRET_MONEY_GRUBBER_BONUS', 	'Amount', 	'ARGTYPE_IDENTITY', 	'2',			NULL, 	NULL) , 
		('QUO_SECRET_MONEY_GRUBBER_BONUS', 	'YieldType',	 'ARGTYPE_IDENTITY', 	'YIELD_GOLD',	NULL, 	NULL) ,
		
		('QUO_SECRET_NUKE_LOVER_BONUS', 	'Tag', 	'ARGTYPE_IDENTITY', 	'UNIT_NUCLEAR_SUBMARINE',			NULL, 	NULL) , 
		
		('QUO_SECRET_PARANOID_BONUS', 	'Amount', 	'ARGTYPE_IDENTITY', 	'1',			NULL, 	NULL) , 
		('QUO_SECRET_PARANOID_BONUS', 	'Offense', 	'ARGTYPE_IDENTITY', 	'1',	NULL, 	NULL) ,
		
		('QUO_SECRET_POPULOUS_BONUS', 	'Amount', 	'ARGTYPE_IDENTITY', 	'2',			NULL, 	NULL) , 
		('QUO_SECRET_POPULOUS_BONUS', 	'YieldType',	 'ARGTYPE_IDENTITY', 	'YIELD_FOOD',	NULL, 	NULL) ,
		
		('QUO_SECRET_STANDING_ARMY_BONUS', 	'Amount', 	'ARGTYPE_IDENTITY', 	'2',			NULL, 	NULL) , 
		('QUO_SECRET_STANDING_ARMY_BONUS', 	'YieldType',	 'ARGTYPE_IDENTITY', 	'YIELD_FOOD',	NULL, 	NULL) ,
		
		('QUO_SECRET_TECHNOPHILE_BONUS', 	'Amount', 	'ARGTYPE_IDENTITY', 		'5',			NULL, NULL) ,
		
		('QUO_SECRET_WONDER_ADVOCATE_BONUS', 	'Amount', 	'ARGTYPE_IDENTITY', 		'10',			NULL, NULL) ;

		
--  ================================================== LARGE BONUSES ==========================================================

INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	
	('QUO_SECRET_AIRPOWER_BONUS_LARGE', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_CHANGE', 0, 0, NULL, 'QUO_REQSET_SECRET_HAS_AERODROME') ,


	('QUO_SECRET_CITY_STATE_ALLY_BONUS_LARGE', 'MODIFIER_PLAYER_ADJUST_INFLUENCE_POINTS_PER_TURN', 0, 0, NULL, NULL) ,


	('QUO_SECRET_CITY_STATE_PROTECTOR_BONUS_LARGE', 'MODIFIER_PLAYER_ADJUST_INFLUENCE_POINTS_PER_TURN', 0, 0, NULL, NULL) ,


	('QUO_SECRET_CIVILIZED_BONUS_LARGE', 'MODIFIER_PLAYER_ADJUST_TRADE_ROUTE_CAPACITY', 0, 0, NULL, NULL) ,


	('QUO_SECRET_CULTURED_BONUS_LARGE', 'MODIFIER_PLAYER_ADJUST_CIVIC_BOOST', 0, 0, NULL, NULL) ,


	('QUO_SECRET_DARWINIST_BONUS_LARGE', 'MODIFIER_PLAYER_UNITS_ATTACH_MODIFIER', 0, 0, NULL, NULL) ,
	('QUO_SECRET_DARWINIST_BONUS_LARGE_UNIT', 'MODIFIER_PLAYER_UNIT_ADJUST_GREAT_PEOPLE_POINTS_PER_KILL', 0, 0, NULL, NULL) ,


	('QUO_SECRET_DEVOUT_BONUS_LARGE', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_CHANGE', 0, 0, NULL, 'QUO_REQSET_SECRET_HAS_HOLY') ,


	('QUO_SECRET_ENVIRONMENTALIST_BONUS_LARGE', 'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER', 0, 0, NULL, NULL) ,
	('QUO_SECRET_ENVIRONMENTALIST_BONUS_LARGE_CITY', 'MODIFIER_CITY_PLOT_YIELDS_ADJUST_PLOT_YIELD', 0, 0, NULL, NULL) ,


	('QUO_SECRET_EXPLOITATIVE_BONUS_LARGE', 'MODIFIER_PLAYER_UNITS_ADJUST_BUILDER_CHARGES', 0, 0, NULL, NULL) ,


	('QUO_SECRET_EXPLORER_BONUS_LARGE', 'MODIFIER_PLAYER_UNITS_ATTACH_MODIFIER', 0, 0, NULL, 'SURVEY_RECONUNITEXPERIENCE_REQUIREMENTS') ,
	('QUO_SECRET_EXPLORER_BONUS_LARGE_UNIT', 'MODIFIER_PLAYER_UNIT_ADJUST_MOVEMENT', 0, 0, NULL, NULL) ,


	('QUO_SECRET_FUN_LOVING_BONUS_LARGE', 'MODIFIER_PLAYER_CITIES_ADJUST_POLICY_AMENITY', 0, 0, NULL, 'QUO_REQSET_SECRET_NOT_HAS_ENTERTAINMENT') ,


	('QUO_SECRET_GREAT_PERSON_ADVOCATE_BONUS_LARGE', 'MODIFIER_PLAYER_UNITS_ADJUST_GREAT_PERSON_CHARGES', 0, 0, NULL, 'UNIT_IS_ENGINEER') ,


	('QUO_SECRET_IDEOLOGUE_BONUS_LARGE', 'MODIFIER_PLAYER_ADJUST_DUPLICATE_INFLUENCE_TOKEN_WHEN_RIVAL_GOVERNMENT', 0, 0, NULL, NULL) ,


	('QUO_SECRET_INDUSTRIALIST_BONUS_LARGE', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_CHANGE', 0, 0, NULL, 'QUO_REQSET_SECRET_HAS_INDUSTRIAL') ,


	('QUO_SECRET_MONEY_GRUBBER_BONUS_LARGE', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_CHANGE', 0, 0, NULL, 'QUO_REQSET_SECRET_HAS_COMMERCIAL') ,

	('QUO_SECRET_NUKE_LOVER_BONUS_LARGE', 'MODIFIER_PLAYER_CITIES_ENABLE_UNIT_FAITH_PURCHASE', 0, 0, NULL, NULL) ,


	('QUO_SECRET_PARANOID_BONUS_LARGE', 'MODIFIER_PLAYER_ADJUST_SPY_BONUS_LARGE', 0, 0, NULL, NULL) ,


	('QUO_SECRET_POPULOUS_BONUS_LARGE', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_CHANGE', 0, 0, NULL, 'QUO_REQSET_SECRET_HAS_NEIGHBORHOOD') ,


	('QUO_SECRET_STANDING_ARMY_BONUS_LARGE', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_CHANGE', 0, 0, NULL, 'QUO_REQSET_SECRET_HAS_ENCAMPMENT') ,

	-- technophile grants bonus toward eurekas
	('QUO_SECRET_TECHNOPHILE_BONUS_LARGE', 'MODIFIER_PLAYER_ADJUST_TECHNOLOGY_BOOST', 0, 0, NULL, NULL) ,


	('QUO_SECRET_WONDER_ADVOCATE_BONUS_LARGE', 'MODIFIER_PLAYER_CITIES_ADJUST_WONDER_PRODUCTION', 0, 0, NULL, NULL) ;


	
INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	
		('QUO_SECRET_AIRPOWER_BONUS_LARGE', 	'Amount', 	'ARGTYPE_IDENTITY', 	'4',			NULL, 	NULL) , 
		('QUO_SECRET_AIRPOWER_BONUS_LARGE', 	'YieldType',	 'ARGTYPE_IDENTITY', 	'YIELD_PRODUCTION',	NULL, 	NULL) ,


		('QUO_SECRET_CITY_STATE_ALLY_BONUS_LARGE', 	'Amount', 	'ARGTYPE_IDENTITY', 	'3',		NULL, NULL) , 
		
		('QUO_SECRET_CITY_STATE_PROTECTOR_BONUS_LARGE', 	'Amount', 	'ARGTYPE_IDENTITY', 	'3',		NULL, NULL) ,
		
		('QUO_SECRET_CIVILIZED_BONUS_LARGE', 	'Amount', 	'ARGTYPE_IDENTITY', 		'2',			NULL, NULL) ,
		
		('QUO_SECRET_CULTURED_BONUS_LARGE', 	'Amount', 	'ARGTYPE_IDENTITY', 	'5',			NULL, 	NULL) ,
		
		('QUO_SECRET_DARWINIST_BONUS_LARGE', 	'ModifierId', 	'ARGTYPE_IDENTITY', 	'QUO_SECRET_DARWINIST_BONUS_LARGE_UNIT',			NULL, 	NULL) ,
		('QUO_SECRET_DARWINIST_BONUS_LARGE_UNIT', 	'Amount', 	'ARGTYPE_IDENTITY', 	'3',			NULL, 	NULL) ,
		('QUO_SECRET_DARWINIST_BONUS_LARGE_UNIT', 	'GreatPersonClassType', 	'ARGTYPE_IDENTITY', 	'GREAT_PERSON_CLASS_GENERAL',			NULL, 	NULL) ,
		
		('QUO_SECRET_DEVOUT_BONUS_LARGE', 	'Amount', 	'ARGTYPE_IDENTITY', 	'4',			NULL, 	NULL) , 
		('QUO_SECRET_DEVOUT_BONUS_LARGE', 	'YieldType',	 'ARGTYPE_IDENTITY', 	'YIELD_FAITH',	NULL, 	NULL) ,
		
		('QUO_SECRET_ENVIRONMENTALIST_BONUS_LARGE', 	'ModifierType', 	'ARGTYPE_IDENTITY', 	'QUO_SECRET_ENVIRONMENTALIST_BONUS_LARGE_CITY',		NULL, 	NULL),
		('QUO_SECRET_ENVIRONMENTALIST_BONUS_LARGE_CITY', 	'Amount', 	'ARGTYPE_IDENTITY', 	'2',			NULL, 	NULL),
		('QUO_SECRET_ENVIRONMENTALIST_BONUS_LARGE_CITY', 	'YieldType', 	'ARGTYPE_IDENTITY', 	'YIELD_CULTURE',			NULL, 	NULL) ,
		
		('QUO_SECRET_EXPLOITATIVE_BONUS_LARGE', 	'Amount', 	'ARGTYPE_IDENTITY', 	'2',			NULL, 	NULL) ,
		
		('QUO_SECRET_EXPLORER_BONUS_LARGE_UNIT', 	'Amount', 	'ARGTYPE_IDENTITY', 	'3',					NULL, 	NULL) ,	
		('QUO_SECRET_EXPLORER_BONUS_LARGE', 	'ModifierId', 	'ARGTYPE_IDENTITY', 	'QUO_SECRET_EXPLORER_BONUS_LARGE_UNIT',		NULL, 	NULL) ,
		
		('QUO_SECRET_FUN_LOVING_BONUS_LARGE', 	'Amount', 	'ARGTYPE_IDENTITY', 	'2',			NULL, 	NULL) ,
		
		('QUO_SECRET_GREAT_PERSON_ADVOCATE_BONUS_LARGE', 	'Amount', 	'ARGTYPE_IDENTITY', 	'1',			NULL, 	NULL) , 
		
		('QUO_SECRET_IDEOLOGUE_BONUS_LARGE', 	'Amount', 	'ARGTYPE_IDENTITY', 	'1',			NULL, 	NULL) ,
		
		('QUO_SECRET_INDUSTRIALIST_BONUS_LARGE', 	'Amount', 	'ARGTYPE_IDENTITY', 	'4',			NULL, 	NULL) , 
		('QUO_SECRET_INDUSTRIALIST_BONUS_LARGE', 	'YieldType',	 'ARGTYPE_IDENTITY', 	'YIELD_PRODUCTION',	NULL, 	NULL) ,
		
		('QUO_SECRET_MONEY_GRUBBER_BONUS_LARGE', 	'Amount', 	'ARGTYPE_IDENTITY', 	'4',			NULL, 	NULL) , 
		('QUO_SECRET_MONEY_GRUBBER_BONUS_LARGE', 	'YieldType',	 'ARGTYPE_IDENTITY', 	'YIELD_GOLD',	NULL, 	NULL) ,
		
		('QUO_SECRET_NUKE_LOVER_BONUS_LARGE', 	'Tag', 	'ARGTYPE_IDENTITY', 	'UNIT_NUCLEAR_SUBMARINE',			NULL, 	NULL) , 
		
		('QUO_SECRET_PARANOID_BONUS_LARGE', 	'Amount', 	'ARGTYPE_IDENTITY', 	'2',			NULL, 	NULL) , 
		('QUO_SECRET_PARANOID_BONUS_LARGE', 	'Offense', 	'ARGTYPE_IDENTITY', 	'1',	NULL, 	NULL) ,
		
		('QUO_SECRET_POPULOUS_BONUS_LARGE', 	'Amount', 	'ARGTYPE_IDENTITY', 	'4',			NULL, 	NULL) , 
		('QUO_SECRET_POPULOUS_BONUS_LARGE', 	'YieldType',	 'ARGTYPE_IDENTITY', 	'YIELD_FOOD',	NULL, 	NULL) ,
		
		('QUO_SECRET_STANDING_ARMY_BONUS_LARGE', 	'Amount', 	'ARGTYPE_IDENTITY', 	'4',			NULL, 	NULL) , 
		('QUO_SECRET_STANDING_ARMY_BONUS_LARGE', 	'YieldType',	 'ARGTYPE_IDENTITY', 	'YIELD_FOOD',	NULL, 	NULL) ,
		
		('QUO_SECRET_TECHNOPHILE_BONUS_LARGE', 	'Amount', 	'ARGTYPE_IDENTITY', 		'5',			NULL, NULL) ,
		
		('QUO_SECRET_WONDER_ADVOCATE_BONUS_LARGE', 	'Amount', 	'ARGTYPE_IDENTITY', 		'15',			NULL, NULL) ;
	
		
		
		
-- ========================== MALUSES ===============================

UPDATE tblQuoDebug SET Message = 'Maluses' WHERE DebugId='Quo_Secrets_Code' ;


INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	
	-- cities without at least 1 aero have negative production
	('QUO_SECRET_AIRPOWER_MALUS', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_CHANGE', 0, 0, NULL, 'QUO_REQSET_SECRET_NOT_HAS_AERODROME') ,

	-- NONFUNCTIONAL
	('QUO_SECRET_CITY_STATE_ALLY_MALUS', 'MODIFIER_PLAYER_ADJUST_INFLUENCE_POINTS_PER_TURN', 0, 0, NULL, NULL) ,

	-- NONFUNCTIONAL
	('QUO_SECRET_CITY_STATE_PROTECTOR_MALUS', 'MODIFIER_PLAYER_ADJUST_INFLUENCE_POINTS_PER_TURN', 0, 0, NULL, NULL) ,

	-- lose 1 trade route
	('QUO_SECRET_CIVILIZED_MALUS', 'MODIFIER_PLAYER_ADJUST_TRADE_ROUTE_CAPACITY', 0, 0, NULL, NULL) ,

	-- reverses civic boosts
	('QUO_SECRET_CULTURED_MALUS', 'MODIFIER_PLAYER_ADJUST_CIVIC_BOOST', 0, 0, NULL, NULL) ,

	-- NONFUNCTIONAL
	('QUO_SECRET_DARWINIST_MALUS', 'MODIFIER_PLAYER_UNITS_ATTACH_MODIFIER', 0, 0, NULL, NULL) ,
	('QUO_SECRET_DARWINIST_MALUS_UNIT', 'MODIFIER_PLAYER_UNIT_ADJUST_GREAT_PEOPLE_POINTS_PER_KILL', 0, 0, NULL, NULL) ,

	-- cities without at least 1 holy site
	('QUO_SECRET_DEVOUT_MALUS', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_CHANGE', 0, 0, NULL, 'QUO_REQSET_SECRET_NOT_HAS_HOLY') ,

	-- NONFUNCTIONAL
	('QUO_SECRET_ENVIRONMENTALIST_MALUS', 'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_BASED_ON_APPEAL', 0, 0, NULL, NULL) ,

	-- NONFUNCTIONAL
	('QUO_SECRET_EXPLOITATIVE_MALUS', 'MODIFIER_PLAYER_UNITS_ADJUST_BUILDER_CHARGES', 0, 0, NULL, NULL) ,

	-- NONFUNCTIONAL
	('QUO_SECRET_EXPLORER_MALUS', 'MODIFIER_PLAYER_UNITS_ATTACH_MODIFIER', 0, 0, NULL, NULL) ,
	('QUO_SECRET_EXPLORER_MALUS_UNIT', 'MODIFIER_PLAYER_UNIT_ADJUST_MOVEMENT', 0, 0, NULL, NULL) ,

	-- cities without at least 1 entertainment plex
	('QUO_SECRET_FUN_LOVING_MALUS', 'MODIFIER_PLAYER_CITIES_ADJUST_POLICY_AMENITY', 0, 0, NULL, NULL) ,

    -- NONFUNCTIONAL
	('QUO_SECRET_GREAT_PERSON_ADVOCATE_MALUS', 'MODIFIER_PLAYER_CITIES_ADJUST_GREATWORK_YIELD', 0, 0, NULL, NULL) ,

	-- NONFUNCTIONAL
	('QUO_SECRET_IDEOLOGUE_MALUS', 'MODIFIER_PLAYER_ADJUST_DUPLICATE_INFLUENCE_TOKEN_WHEN_RIVAL_GOVERNMENT', 0, 0, NULL, NULL) ,

	-- cities without at least 1 production zone
	('QUO_SECRET_INDUSTRIALIST_MALUS', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_CHANGE', 0, 0, NULL, 'QUO_REQSET_SECRET_NOT_HAS_INDUSTRIAL') ,

    -- cities without at least 1 commerce
	('QUO_SECRET_MONEY_GRUBBER_MALUS', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_CHANGE', 0, 0, NULL, 'QUO_REQSET_SECRET_NOT_HAS_COMMERCIAL') ,

	-- NONFUNCTIONAL
	('QUO_SECRET_NUKE_LOVER_MALUS', 'MODIFIER_PLAYER_CITIES_ENABLE_UNIT_FAITH_PURCHASE', 0, 0, NULL, NULL) ,

	-- lose 1 spy defense
	('QUO_SECRET_PARANOID_MALUS', 'MODIFIER_PLAYER_ADJUST_SPY_BONUS', 0, 0, NULL, NULL) ,
	
	-- cities without at least 1 neighborhood
	('QUO_SECRET_POPULOUS_MALUS', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_CHANGE', 0, 0, NULL, 'QUO_REQSET_SECRET_NOT_HAS_NEIGHBORHOOD') ,

	-- cities without at least 1 encampment
	('QUO_SECRET_STANDING_ARMY_MALUS', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_CHANGE', 0, 0, NULL, 'QUO_REQSET_SECRET_NOT_HAS_ENCAMPMENT') ,

	-- reverses technology boosts
	('QUO_SECRET_TECHNOPHILE_MALUS', 'MODIFIER_PLAYER_ADJUST_TECHNOLOGY_BOOST', 0, 0, NULL, NULL) ,

	-- NONFUNCTIONAL
	('QUO_SECRET_WONDER_ADVOCATE_MALUS', 'MODIFIER_PLAYER_CITIES_ADJUST_WONDER_PRODUCTION', 0, 0, NULL, NULL) ;

	
INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	
		('QUO_SECRET_AIRPOWER_MALUS', 	'Amount', 	'ARGTYPE_IDENTITY', 	'-1',			NULL, 	NULL) , 
		('QUO_SECRET_AIRPOWER_MALUS', 	'YieldType',	 'ARGTYPE_IDENTITY', 	'YIELD_PRODUCTION',	NULL, 	NULL) ,

		('QUO_SECRET_CITY_STATE_ALLY_MALUS', 	'Amount', 	'ARGTYPE_IDENTITY', 	'1',		NULL, NULL) , 
		
		('QUO_SECRET_CITY_STATE_PROTECTOR_MALUS', 	'Amount', 	'ARGTYPE_IDENTITY', 	'1',		NULL, NULL) ,
		
		('QUO_SECRET_CIVILIZED_MALUS', 	'Amount', 	'ARGTYPE_IDENTITY', 		'-1',			NULL, NULL) ,
		
		('QUO_SECRET_CULTURED_MALUS', 	'Amount', 	'ARGTYPE_IDENTITY', 	'-5',			NULL, 	NULL) ,
		
		('QUO_SECRET_DARWINIST_MALUS', 	'ModifierId', 	'ARGTYPE_IDENTITY', 	'QUO_SECRET_DARWINIST_MALUS_UNIT',			NULL, 	NULL) ,
		('QUO_SECRET_DARWINIST_MALUS_UNIT', 	'Amount', 	'ARGTYPE_IDENTITY', 	'1',			NULL, 	NULL) ,
		('QUO_SECRET_DARWINIST_MALUS_UNIT', 	'GreatPersonClassType', 	'ARGTYPE_IDENTITY', 	'GREAT_PERSON_CLASS_GENERAL',			NULL, 	NULL) ,
		
		('QUO_SECRET_DEVOUT_MALUS', 	'Amount', 	'ARGTYPE_IDENTITY', 	'-1',			NULL, 	NULL) , 
		('QUO_SECRET_DEVOUT_MALUS', 	'YieldType',	 'ARGTYPE_IDENTITY', 	'YIELD_FAITH',	NULL, 	NULL) ,
		
		('QUO_SECRET_ENVIRONMENTALIST_MALUS', 	'DistrictType', 	'ARGTYPE_IDENTITY', 	'DISTRICT_CAMPUS',		NULL, 	NULL),
		('QUO_SECRET_ENVIRONMENTALIST_MALUS', 	'RequiredAppeal', 	'ARGTYPE_IDENTITY', 	'2',			NULL, 	NULL),
		('QUO_SECRET_ENVIRONMENTALIST_MALUS', 	'YieldChange', 	'ARGTYPE_IDENTITY', 	'-1',			NULL, 	NULL) ,
		('QUO_SECRET_ENVIRONMENTALIST_MALUS', 	'Description', 	'ARGTYPE_IDENTITY', 	'LOC_DISTRICT_APPEAL_SCIENCE',			NULL, 	NULL) ,
		
		('QUO_SECRET_EXPLOITATIVE_MALUS', 	'Amount', 	'ARGTYPE_IDENTITY', 	'-1',			NULL, 	NULL) ,
		
		('QUO_SECRET_EXPLORER_MALUS_UNIT', 	'Amount', 	'ARGTYPE_IDENTITY', 	'-1',					NULL, 	NULL) ,	
		('QUO_SECRET_EXPLORER_MALUS', 	'ModifierId', 	'ARGTYPE_IDENTITY', 	'QUO_SECRET_EXPLORER_MALUS_UNIT',		NULL, 	NULL) ,
		
		('QUO_SECRET_FUN_LOVING_MALUS', 	'Amount', 	'ARGTYPE_IDENTITY', 	'-1',			NULL, 	NULL) ,
		
		('QUO_SECRET_GREAT_PERSON_ADVOCATE_MALUS', 	'YieldChange', 	'ARGTYPE_IDENTITY', 	'1',			NULL, 	NULL) , 
		('QUO_SECRET_GREAT_PERSON_ADVOCATE_MALUS', 	'YieldType',	 'ARGTYPE_IDENTITY', 	'YIELD_CULTURE',	NULL, 	NULL) ,
		('QUO_SECRET_GREAT_PERSON_ADVOCATE_MALUS', 	'GreatWorkObjectType',	 'ARGTYPE_IDENTITY', 	'GREATWORKOBJECT_WRITING',	NULL, 	NULL) ,
		
		('QUO_SECRET_IDEOLOGUE_MALUS', 	'Amount', 	'ARGTYPE_IDENTITY', 	'-1',			NULL, 	NULL) ,
		
		('QUO_SECRET_INDUSTRIALIST_MALUS', 	'Amount', 	'ARGTYPE_IDENTITY', 	'-1',			NULL, 	NULL) , 
		('QUO_SECRET_INDUSTRIALIST_MALUS', 	'YieldType',	 'ARGTYPE_IDENTITY', 	'YIELD_PRODUCTION',	NULL, 	NULL) ,
		
		('QUO_SECRET_MONEY_GRUBBER_MALUS', 	'Amount', 	'ARGTYPE_IDENTITY', 	'-1',			NULL, 	NULL) , 
		('QUO_SECRET_MONEY_GRUBBER_MALUS', 	'YieldType',	 'ARGTYPE_IDENTITY', 	'YIELD_GOLD',	NULL, 	NULL) ,
		
		('QUO_SECRET_NUKE_LOVER_MALUS', 	'Tag', 	'ARGTYPE_IDENTITY', 	'UNIT_NUCLEAR_SUBMARINE',			NULL, 	NULL) , 
		
		('QUO_SECRET_PARANOID_MALUS', 	'Amount', 	'ARGTYPE_IDENTITY', 	'-1',			NULL, 	NULL) , 
		('QUO_SECRET_PARANOID_MALUS', 	'Offense', 	'ARGTYPE_IDENTITY', 	'0',	NULL, 	NULL) ,

		('QUO_SECRET_POPULOUS_MALUS', 	'Amount', 	'ARGTYPE_IDENTITY', 	'-1',			NULL, 	NULL) , 
		('QUO_SECRET_POPULOUS_MALUS', 	'YieldType',	 'ARGTYPE_IDENTITY', 	'YIELD_FOOD',	NULL, 	NULL) ,
		
		('QUO_SECRET_STANDING_ARMY_MALUS', 	'Amount', 	'ARGTYPE_IDENTITY', 	'-1',			NULL, 	NULL) , 
		('QUO_SECRET_STANDING_ARMY_MALUS', 	'YieldType',	 'ARGTYPE_IDENTITY', 	'YIELD_FOOD',	NULL, 	NULL) ,
		
		('QUO_SECRET_TECHNOPHILE_MALUS', 	'Amount', 	'ARGTYPE_IDENTITY', 		'-5',			NULL, NULL) ,
		
		('QUO_SECRET_WONDER_ADVOCATE_MALUS', 	'Amount', 	'ARGTYPE_IDENTITY', 		'-10',			NULL, NULL) ;



		
		
		
		
-- ======================= SECRET FLAVORS ==============================


-- =========================================================
-- BENIGN FLAVOR
-- This is the most basic flavor. Awards the Bonus if a Delegation is shared with the civ. Trigger the Malus if you become Allies.


UPDATE tblQuoDebug SET Message = 'Benign Flavor' WHERE DebugId='Quo_Secrets_Code' ;

INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_SECRET_AIRPOWER_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_CITY_STATE_ALLY_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_CITY_STATE_PROTECTOR_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_CIVILIZED_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_CULTURED_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_DARWINIST_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_DEVOUT_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_ENVIRONMENTALIST_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_EXPLOITATIVE_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_EXPLORER_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_FUN_LOVING_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_GREAT_PERSON_ADVOCATE_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_IDEOLOGUE_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_INDUSTRIALIST_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_MONEY_GRUBBER_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_NUKE_LOVER_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_PARANOID_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_POPULOUS_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_STANDING_ARMY_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_TECHNOPHILE_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_WONDER_ADVOCATE_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		
		
		-- maluses
		('QUO_SECRET_AIRPOWER_MALUS_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_CITY_STATE_ALLY_MALUS_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_CITY_STATE_PROTECTOR_MALUS_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_CIVILIZED_MALUS_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_CULTURED_MALUS_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_DARWINIST_MALUS_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_DEVOUT_MALUS_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_ENVIRONMENTALIST_MALUS_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_EXPLOITATIVE_MALUS_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_EXPLORER_MALUS_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_FUN_LOVING_MALUS_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_GREAT_PERSON_ADVOCATE_MALUS_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_IDEOLOGUE_MALUS_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_INDUSTRIALIST_MALUS_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_MONEY_GRUBBER_MALUS_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_NUKE_LOVER_MALUS_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_PARANOID_MALUS_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_POPULOUS_MALUS_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_STANDING_ARMY_MALUS_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_TECHNOPHILE_MALUS_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ,
		('QUO_SECRET_WONDER_ADVOCATE_MALUS_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_ALLY') ;
	

INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
	VALUES ('QUO_SECRET_AIRPOWER_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_AIRPOWER_BONUS',   NULL,  NULL),
		('QUO_SECRET_CITY_STATE_ALLY_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_CITY_STATE_ALLY_BONUS',   NULL,  NULL),
		('QUO_SECRET_CITY_STATE_PROTECTOR_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_CITY_STATE_PROTECTOR_BONUS',   NULL,  NULL),
		('QUO_SECRET_CIVILIZED_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_CIVILIZED_BONUS',   NULL,  NULL),
		('QUO_SECRET_CULTURED_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_CULTURED_BONUS',   NULL,  NULL),
		('QUO_SECRET_DARWINIST_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_DARWINIST_BONUS',   NULL,  NULL),
		('QUO_SECRET_DEVOUT_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_DEVOUT_BONUS',   NULL,  NULL),
		('QUO_SECRET_ENVIRONMENTALIST_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_ENVIRONMENTALIST_BONUS',   NULL,  NULL),
		('QUO_SECRET_EXPLOITATIVE_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_EXPLOITATIVE_BONUS',   NULL,  NULL),
		('QUO_SECRET_EXPLORER_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_EXPLORER_BONUS',   NULL,  NULL),
		('QUO_SECRET_FUN_LOVING_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_FUN_LOVING_BONUS',   NULL,  NULL),
		('QUO_SECRET_GREAT_PERSON_ADVOCATE_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_GREAT_PERSON_ADVOCATE_BONUS',   NULL,  NULL),
		('QUO_SECRET_IDEOLOGUE_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_IDEOLOGUE_BONUS',   NULL,  NULL),
		('QUO_SECRET_INDUSTRIALIST_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_INDUSTRIALIST_BONUS',   NULL,  NULL),
		('QUO_SECRET_MONEY_GRUBBER_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_MONEY_GRUBBER_BONUS',   NULL,  NULL),
		('QUO_SECRET_NUKE_LOVER_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_NUKE_LOVER_BONUS',   NULL,  NULL),
		('QUO_SECRET_PARANOID_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_PARANOID_BONUS',   NULL,  NULL),
		('QUO_SECRET_POPULOUS_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_POPULOUS_BONUS',   NULL,  NULL),
		('QUO_SECRET_STANDING_ARMY_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_STANDING_ARMY_BONUS',   NULL,  NULL),
		('QUO_SECRET_TECHNOPHILE_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_TECHNOPHILE_BONUS',   NULL,  NULL),
		('QUO_SECRET_WONDER_ADVOCATE_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_WONDER_ADVOCATE_BONUS',   NULL,  NULL) ,
		
		
		-- maluses
		('QUO_SECRET_AIRPOWER_MALUS_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_AIRPOWER_MALUS',   NULL,  NULL),
		
		-- use Paranoid malus
		('QUO_SECRET_CITY_STATE_ALLY_MALUS_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_PARANOID_MALUS',   NULL,  NULL),
		('QUO_SECRET_CITY_STATE_PROTECTOR_MALUS_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_PARANOID_MALUS',   NULL,  NULL),
		
		-- use malus from Cultured
		('QUO_SECRET_CIVILIZED_MALUS_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_CULTURED_MALUS',   NULL,  NULL),
		
		-- use malus from Technophile
		('QUO_SECRET_CULTURED_MALUS_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_TECHNOPHILE_MALUS',   NULL,  NULL),
		
		-- use malus from standing army for now
		('QUO_SECRET_DARWINIST_MALUS_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_STANDING_ARMY_MALUS',   NULL,  NULL),
		
		-- own
		('QUO_SECRET_DEVOUT_MALUS_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_DEVOUT_MALUS',   NULL,  NULL),
		
		-- use malus from Devout for now
		('QUO_SECRET_ENVIRONMENTALIST_MALUS_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_DEVOUT_MALUS',   NULL,  NULL),
		
		-- use malus from Industrialist for now 
		('QUO_SECRET_EXPLOITATIVE_MALUS_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_INDUSTRIALIST_MALUS',   NULL,  NULL),
		
		-- use Paranoid malus
		('QUO_SECRET_EXPLORER_MALUS_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_PARANOID_MALUS',   NULL,  NULL),
		
		-- own
		('QUO_SECRET_FUN_LOVING_MALUS_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_FUN_LOVING_MALUS',   NULL,  NULL),
		
		-- use malus from Cultured
		('QUO_SECRET_GREAT_PERSON_ADVOCATE_MALUS_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_CULTURED_MALUS',   NULL,  NULL),
		
		-- use malus from Technophile 
		('QUO_SECRET_IDEOLOGUE_MALUS_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_TECHNOPHILE_MALUS',   NULL,  NULL),
		
		-- own 
		('QUO_SECRET_INDUSTRIALIST_MALUS_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_INDUSTRIALIST_MALUS',   NULL,  NULL),
		
		-- own
		('QUO_SECRET_MONEY_GRUBBER_MALUS_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_MONEY_GRUBBER_MALUS',   NULL,  NULL),
		
		
		-- use Civilized malus 
		('QUO_SECRET_NUKE_LOVER_MALUS_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_CIVILIZED_MALUS',   NULL,  NULL),
		
		-- own
		('QUO_SECRET_PARANOID_MALUS_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_PARANOID_MALUS',   NULL,  NULL),	
		
		-- own
		('QUO_SECRET_POPULOUS_MALUS_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_POPULOUS_MALUS',   NULL,  NULL),
		
		-- own
		('QUO_SECRET_STANDING_ARMY_MALUS_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_STANDING_ARMY_MALUS',   NULL,  NULL),
		
		-- use malus from Cultured
		('QUO_SECRET_TECHNOPHILE_MALUS_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_CULTURED_MALUS',   NULL,  NULL),
		
		-- use malus from Industrialist
		('QUO_SECRET_WONDER_ADVOCATE_MALUS_GLOBAL',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_INDUSTRIALIST_MALUS',   NULL,  NULL) ;

		
INSERT INTO Types 
	(Type, 					Kind)
VALUES 	('QUO_TRAIT_AGENDA_BENIGN_PREFER_AIRPOWER', 		'KIND_TRAIT'),
	('QUO_TRAIT_AGENDA_BENIGN_CITY_STATE_ALLY', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_CITY_STATE_PROTECTOR', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_CLEAR_BANDIT_CAMPS', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_CULTURE', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_BENIGN_ENJOYS_WAR', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_FAITH', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_ENVIRONMENT', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_EXPLOITATION', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_BENIGN_EXPLORATION_OBSESSED', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_HAPPINESS', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_BENIGN_GREAT_PERSON_ADVOCATE', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_SAME_GOVERNMENT', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_INDUSTRY', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_INCOME', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_NUKES', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_BENIGN_PARANOID', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_POPULATION', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_STANDING_ARMY', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_SCIENCE', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_BENIGN_WONDER_ADVOCATE', 'KIND_TRAIT') ;
	
		
INSERT INTO Traits
	(TraitType, Name, Description, InternalOnly)
VALUES 	('QUO_TRAIT_AGENDA_BENIGN_PREFER_AIRPOWER', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_BENIGN_CITY_STATE_ALLY', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_CITY_STATE_PROTECTOR', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_CLEAR_BANDIT_CAMPS', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_CULTURE', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_BENIGN_ENJOYS_WAR', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_FAITH', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_ENVIRONMENT', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_EXPLOITATION', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_BENIGN_EXPLORATION_OBSESSED', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_HAPPINESS', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_BENIGN_GREAT_PERSON_ADVOCATE', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_SAME_GOVERNMENT', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_INDUSTRY', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_INCOME', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_NUKES', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_BENIGN_PARANOID', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_POPULATION', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_STANDING_ARMY',	'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_SCIENCE', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_BENIGN_WONDER_ADVOCATE',	'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0) ; 
		
		
INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_AIRPOWER', 'QUO_SECRET_AIRPOWER_GLOBAL'),
	('QUO_TRAIT_AGENDA_BENIGN_CITY_STATE_ALLY', 'QUO_SECRET_CITY_STATE_ALLY_GLOBAL'),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_CITY_STATE_PROTECTOR', 'QUO_SECRET_CITY_STATE_PROTECTOR_GLOBAL'),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_CLEAR_BANDIT_CAMPS', 'QUO_SECRET_CIVILIZED_GLOBAL'),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_CULTURE', 'QUO_SECRET_CULTURED_GLOBAL'),
	('QUO_TRAIT_AGENDA_BENIGN_ENJOYS_WAR', 'QUO_SECRET_DARWINIST_GLOBAL'),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_FAITH', 'QUO_SECRET_DEVOUT_GLOBAL'),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_ENVIRONMENT', 'QUO_SECRET_ENVIRONMENTALIST_GLOBAL'),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_EXPLOITATION', 'QUO_SECRET_EXPLOITATIVE_GLOBAL'),
	('QUO_TRAIT_AGENDA_BENIGN_EXPLORATION_OBSESSED', 'QUO_SECRET_EXPLORER_GLOBAL'),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_HAPPINESS', 'QUO_SECRET_FUN_LOVING_GLOBAL'),
	('QUO_TRAIT_AGENDA_BENIGN_GREAT_PERSON_ADVOCATE', 'QUO_SECRET_GREAT_PERSON_ADVOCATE_GLOBAL'),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_SAME_GOVERNMENT', 'QUO_SECRET_IDEOLOGUE_GLOBAL'),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_INDUSTRY', 'QUO_SECRET_INDUSTRIALIST_GLOBAL'),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_INCOME', 'QUO_SECRET_MONEY_GRUBBER_GLOBAL'),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_NUKES', 'QUO_SECRET_NUKE_LOVER_GLOBAL'),
	('QUO_TRAIT_AGENDA_BENIGN_PARANOID', 'QUO_SECRET_PARANOID_GLOBAL'),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_POPULATION', 'QUO_SECRET_POPULOUS_GLOBAL') ,
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_STANDING_ARMY',	'QUO_SECRET_STANDING_ARMY_GLOBAL') ,
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_SCIENCE', 'QUO_SECRET_TECHNOPHILE_GLOBAL') ,
	('QUO_TRAIT_AGENDA_BENIGN_WONDER_ADVOCATE',	'QUO_SECRET_WONDER_ADVOCATE_GLOBAL') ,
	
	-- maluses
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_AIRPOWER', 'QUO_SECRET_AIRPOWER_MALUS_GLOBAL'),
	('QUO_TRAIT_AGENDA_BENIGN_CITY_STATE_ALLY', 'QUO_SECRET_CITY_STATE_ALLY_MALUS_GLOBAL'),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_CITY_STATE_PROTECTOR', 'QUO_SECRET_CITY_STATE_PROTECTOR_MALUS_GLOBAL'),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_CLEAR_BANDIT_CAMPS', 'QUO_SECRET_CIVILIZED_MALUS_GLOBAL'),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_CULTURE', 'QUO_SECRET_CULTURED_MALUS_GLOBAL'),
	('QUO_TRAIT_AGENDA_BENIGN_ENJOYS_WAR', 'QUO_SECRET_DARWINIST_MALUS_GLOBAL'),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_FAITH', 'QUO_SECRET_DEVOUT_MALUS_GLOBAL'),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_ENVIRONMENT', 'QUO_SECRET_ENVIRONMENTALIST_MALUS_GLOBAL'),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_EXPLOITATION', 'QUO_SECRET_EXPLOITATIVE_MALUS_GLOBAL'),
	('QUO_TRAIT_AGENDA_BENIGN_EXPLORATION_OBSESSED', 'QUO_SECRET_EXPLORER_MALUS_GLOBAL'),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_HAPPINESS', 'QUO_SECRET_FUN_LOVING_MALUS_GLOBAL'),
	('QUO_TRAIT_AGENDA_BENIGN_GREAT_PERSON_ADVOCATE', 'QUO_SECRET_GREAT_PERSON_ADVOCATE_MALUS_GLOBAL'),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_SAME_GOVERNMENT', 'QUO_SECRET_IDEOLOGUE_MALUS_GLOBAL'),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_INDUSTRY', 'QUO_SECRET_INDUSTRIALIST_MALUS_GLOBAL'),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_INCOME', 'QUO_SECRET_MONEY_GRUBBER_MALUS_GLOBAL'),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_NUKES', 'QUO_SECRET_NUKE_LOVER_MALUS_GLOBAL'),
	('QUO_TRAIT_AGENDA_BENIGN_PARANOID', 'QUO_SECRET_PARANOID_MALUS_GLOBAL'),
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_POPULATION', 'QUO_SECRET_POPULOUS_MALUS_GLOBAL') ,
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_STANDING_ARMY',	'QUO_SECRET_STANDING_ARMY_MALUS_GLOBAL') ,
	('QUO_TRAIT_AGENDA_BENIGN_PREFER_SCIENCE', 'QUO_SECRET_TECHNOPHILE_MALUS_GLOBAL') ,
	('QUO_TRAIT_AGENDA_BENIGN_WONDER_ADVOCATE',	'QUO_SECRET_WONDER_ADVOCATE_MALUS_GLOBAL') ;
	
	
	
	
INSERT INTO AgendaTraits
		(AgendaType, TraitType)
VALUES	('AGENDA_AIRPOWER', 'QUO_TRAIT_AGENDA_BENIGN_PREFER_AIRPOWER') ,
		('AGENDA_CITY_STATE_ALLY', 'QUO_TRAIT_AGENDA_BENIGN_CITY_STATE_ALLY') ,
		('AGENDA_CITY_STATE_PROTECTOR', 'QUO_TRAIT_AGENDA_BENIGN_PREFER_CITY_STATE_PROTECTOR') ,
		('AGENDA_CIVILIZED', 'QUO_TRAIT_AGENDA_BENIGN_PREFER_CLEAR_BANDIT_CAMPS') ,
		('AGENDA_CULTURED', 'QUO_TRAIT_AGENDA_BENIGN_PREFER_CULTURE') ,
		('AGENDA_DARWINIST', 'QUO_TRAIT_AGENDA_BENIGN_ENJOYS_WAR') ,
		('AGENDA_DEVOUT', 'QUO_TRAIT_AGENDA_BENIGN_PREFER_FAITH') ,
		('AGENDA_ENVIRONMENTALIST', 'QUO_TRAIT_AGENDA_BENIGN_PREFER_ENVIRONMENT') ,
		('AGENDA_EXPLOITATIVE', 'QUO_TRAIT_AGENDA_BENIGN_PREFER_EXPLOITATION') ,
		('AGENDA_EXPLORER', 'QUO_TRAIT_AGENDA_BENIGN_EXPLORATION_OBSESSED') ,
		('AGENDA_FUN_LOVING', 'QUO_TRAIT_AGENDA_BENIGN_PREFER_HAPPINESS') ,
		('AGENDA_GREAT_PERSON_ADVOCATE', 'QUO_TRAIT_AGENDA_BENIGN_GREAT_PERSON_ADVOCATE') ,
		('AGENDA_IDEOLOGUE', 'QUO_TRAIT_AGENDA_BENIGN_PREFER_SAME_GOVERNMENT') ,
		('AGENDA_INDUSTRIALIST', 'QUO_TRAIT_AGENDA_BENIGN_PREFER_INDUSTRY') ,
		('AGENDA_MONEY_GRUBBER', 'QUO_TRAIT_AGENDA_BENIGN_PREFER_INCOME') ,
		('AGENDA_NUKE_LOVER', 'QUO_TRAIT_AGENDA_BENIGN_PREFER_NUKES') ,
		('AGENDA_PARANOID', 'QUO_TRAIT_AGENDA_BENIGN_PARANOID') ,
		('AGENDA_POPULOUS', 'QUO_TRAIT_AGENDA_BENIGN_PREFER_POPULATION') ,
		('AGENDA_STANDING_ARMY', 'QUO_TRAIT_AGENDA_BENIGN_PREFER_STANDING_ARMY') ,
		('AGENDA_TECHNOPHILE', 'QUO_TRAIT_AGENDA_BENIGN_PREFER_SCIENCE') ,
		('AGENDA_WONDER_ADVOCATE', 'QUO_TRAIT_AGENDA_BENIGN_WONDER_ADVOCATE') ;

		
		

	
-- =========================================================	
-- DOTARD FLAVOR
-- Receive the Bonus if you Denounce or Declare War on this civ.

UPDATE tblQuoDebug SET Message = 'Dotard Flavor' WHERE DebugId='Quo_Secrets_Code' ;



-- Clone set _DOTARD
INSERT INTO Agendas 
	(AgendaType, OperationList, Name, Description)
SELECT DISTINCT 'QUO_' || tblQuoRandomAgendaClones.AgendaType || '_DOTARD' , NULL, 'LOC_QUO_' || tblQuoRandomAgendaClones.AgendaType || '_DOTARD_NAME', 'LOC_QUO_' || tblQuoRandomAgendaClones.AgendaType || '_DOTARD_DESCRIPTION' 
FROM tblQuoRandomAgendaClones ; 


INSERT INTO RandomAgendas 
	(AgendaType, GameLimit)
SELECT DISTINCT 'QUO_' || tblQuoRandomAgendaClones.AgendaType || '_DOTARD' , tblQuoRandomAgendaClones.GameLimit 
FROM tblQuoRandomAgendaClones ;  

-- Clone basic behavior, such as likes and dislikes, etc
-- Note that unlike previous two selects, this is NOT a DISTINCT selection
INSERT INTO AgendaTraits
	(AgendaType, TraitType)
SELECT  'QUO_' || tblQuoRandomAgendaClones.AgendaType || '_DOTARD', tblQuoRandomAgendaClones.TraitType
FROM  tblQuoRandomAgendaClones ;  


INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_SECRET_AIRPOWER_DOTARD', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'QUO_REQSET_SECRET_DOTARD') ,
		('QUO_SECRET_CITY_STATE_ALLY_DOTARD', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'QUO_REQSET_SECRET_DOTARD') ,
		('QUO_SECRET_CITY_STATE_PROTECTOR_DOTARD', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'QUO_REQSET_SECRET_DOTARD') ,
		('QUO_SECRET_CIVILIZED_DOTARD', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'QUO_REQSET_SECRET_DOTARD') ,
		('QUO_SECRET_CULTURED_DOTARD', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'QUO_REQSET_SECRET_DOTARD') ,
		('QUO_SECRET_DARWINIST_DOTARD', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'QUO_REQSET_SECRET_DOTARD') ,
		('QUO_SECRET_DEVOUT_DOTARD', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'QUO_REQSET_SECRET_DOTARD') ,
		('QUO_SECRET_ENVIRONMENTALIST_DOTARD', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'QUO_REQSET_SECRET_DOTARD') ,
		('QUO_SECRET_EXPLOITATIVE_DOTARD', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'QUO_REQSET_SECRET_DOTARD') ,
		('QUO_SECRET_EXPLORER_DOTARD', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'QUO_REQSET_SECRET_DOTARD') ,
		('QUO_SECRET_FUN_LOVING_DOTARD', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'QUO_REQSET_SECRET_DOTARD') ,
		('QUO_SECRET_GREAT_PERSON_ADVOCATE_DOTARD', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'QUO_REQSET_SECRET_DOTARD') ,
		('QUO_SECRET_IDEOLOGUE_DOTARD', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'QUO_REQSET_SECRET_DOTARD') ,
		('QUO_SECRET_INDUSTRIALIST_DOTARD', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'QUO_REQSET_SECRET_DOTARD') ,
		('QUO_SECRET_MONEY_GRUBBER_DOTARD', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'QUO_REQSET_SECRET_DOTARD') ,
		('QUO_SECRET_NUKE_LOVER_DOTARD', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'QUO_REQSET_SECRET_DOTARD') ,
		('QUO_SECRET_PARANOID_DOTARD', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'QUO_REQSET_SECRET_DOTARD') ,
		('QUO_SECRET_POPULOUS_DOTARD', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'QUO_REQSET_SECRET_DOTARD') ,
		('QUO_SECRET_STANDING_ARMY_DOTARD', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'QUO_REQSET_SECRET_DOTARD') ,
		('QUO_SECRET_TECHNOPHILE_DOTARD', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'QUO_REQSET_SECRET_DOTARD') ,
		('QUO_SECRET_WONDER_ADVOCATE_DOTARD', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'QUO_REQSET_SECRET_DOTARD') ;
	

INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
	VALUES ('QUO_SECRET_AIRPOWER_DOTARD',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_AIRPOWER_BONUS',   NULL,  NULL),
		('QUO_SECRET_CITY_STATE_ALLY_DOTARD',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_CITY_STATE_ALLY_BONUS',   NULL,  NULL),
		('QUO_SECRET_CITY_STATE_PROTECTOR_DOTARD',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_CITY_STATE_PROTECTOR_BONUS',   NULL,  NULL),
		('QUO_SECRET_CIVILIZED_DOTARD',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_CIVILIZED_BONUS',   NULL,  NULL),
		('QUO_SECRET_CULTURED_DOTARD',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_CULTURED_BONUS',   NULL,  NULL),
		('QUO_SECRET_DARWINIST_DOTARD',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_DARWINIST_BONUS',   NULL,  NULL),
		('QUO_SECRET_DEVOUT_DOTARD',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_DEVOUT_BONUS',   NULL,  NULL),
		('QUO_SECRET_ENVIRONMENTALIST_DOTARD',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_ENVIRONMENTALIST_BONUS',   NULL,  NULL),
		('QUO_SECRET_EXPLOITATIVE_DOTARD',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_EXPLOITATIVE_BONUS',   NULL,  NULL),
		('QUO_SECRET_EXPLORER_DOTARD',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_EXPLORER_BONUS',   NULL,  NULL),
		('QUO_SECRET_FUN_LOVING_DOTARD',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_FUN_LOVING_BONUS',   NULL,  NULL),
		('QUO_SECRET_GREAT_PERSON_ADVOCATE_DOTARD',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_GREAT_PERSON_ADVOCATE_BONUS',   NULL,  NULL),
		('QUO_SECRET_IDEOLOGUE_DOTARD',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_IDEOLOGUE_BONUS',   NULL,  NULL),
		('QUO_SECRET_INDUSTRIALIST_DOTARD',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_INDUSTRIALIST_BONUS',   NULL,  NULL),
		('QUO_SECRET_MONEY_GRUBBER_DOTARD',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_MONEY_GRUBBER_BONUS',   NULL,  NULL),
		('QUO_SECRET_NUKE_LOVER_DOTARD',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_NUKE_LOVER_BONUS',   NULL,  NULL),
		('QUO_SECRET_PARANOID_DOTARD',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_PARANOID_BONUS',   NULL,  NULL),
		('QUO_SECRET_POPULOUS_DOTARD',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_POPULOUS_BONUS',   NULL,  NULL),
		('QUO_SECRET_STANDING_ARMY_DOTARD',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_STANDING_ARMY_BONUS',   NULL,  NULL),
		('QUO_SECRET_TECHNOPHILE_DOTARD',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_TECHNOPHILE_BONUS',   NULL,  NULL),
		('QUO_SECRET_WONDER_ADVOCATE_DOTARD',  'ModifierId',  'ARGTYPE_IDENTITY',  'QUO_SECRET_WONDER_ADVOCATE_BONUS',   NULL,  NULL) ;
 
INSERT INTO Types 
	(Type, 					Kind)
VALUES 	('QUO_TRAIT_AGENDA_DOTARD_PREFER_AIRPOWER', 		'KIND_TRAIT'),
	('QUO_TRAIT_AGENDA_DOTARD_CITY_STATE_ALLY', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_CITY_STATE_PROTECTOR', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_CLEAR_BANDIT_CAMPS', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_CULTURE', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_DOTARD_ENJOYS_WAR', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_FAITH', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_ENVIRONMENT', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_EXPLOITATION', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_DOTARD_EXPLORATION_OBSESSED', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_HAPPINESS', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_DOTARD_GREAT_PERSON_ADVOCATE', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_SAME_GOVERNMENT', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_INDUSTRY', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_INCOME', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_NUKES', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_DOTARD_PARANOID', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_POPULATION', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_STANDING_ARMY', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_SCIENCE', 'KIND_TRAIT') ,
	('QUO_TRAIT_AGENDA_DOTARD_WONDER_ADVOCATE', 'KIND_TRAIT') ;
	
		
INSERT INTO Traits
	(TraitType, Name, Description, InternalOnly)
VALUES 	('QUO_TRAIT_AGENDA_DOTARD_PREFER_AIRPOWER', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_DOTARD_CITY_STATE_ALLY', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_CITY_STATE_PROTECTOR', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_CLEAR_BANDIT_CAMPS', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_CULTURE', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_DOTARD_ENJOYS_WAR', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_FAITH', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_ENVIRONMENT', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_EXPLOITATION', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_DOTARD_EXPLORATION_OBSESSED', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_HAPPINESS', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_DOTARD_GREAT_PERSON_ADVOCATE', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_SAME_GOVERNMENT', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_INDUSTRY', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_INCOME', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_NUKES', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_DOTARD_PARANOID', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_POPULATION', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_STANDING_ARMY',	'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_SCIENCE', 'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0),
	('QUO_TRAIT_AGENDA_DOTARD_WONDER_ADVOCATE',	'LOC_PLACEHOLDER','LOC_PLACEHOLDER', 0) ; 

INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_AIRPOWER', 'QUO_SECRET_AIRPOWER_DOTARD'),
	('QUO_TRAIT_AGENDA_DOTARD_CITY_STATE_ALLY', 'QUO_SECRET_CITY_STATE_ALLY_DOTARD'),
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_CITY_STATE_PROTECTOR', 'QUO_SECRET_CITY_STATE_PROTECTOR_DOTARD'),
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_CLEAR_BANDIT_CAMPS', 'QUO_SECRET_CIVILIZED_DOTARD'),
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_CULTURE', 'QUO_SECRET_CULTURED_DOTARD'),
	('QUO_TRAIT_AGENDA_DOTARD_ENJOYS_WAR', 'QUO_SECRET_DARWINIST_DOTARD'),
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_FAITH', 'QUO_SECRET_DEVOUT_DOTARD'),
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_ENVIRONMENT', 'QUO_SECRET_ENVIRONMENTALIST_DOTARD'),
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_EXPLOITATION', 'QUO_SECRET_EXPLOITATIVE_DOTARD'),
	('QUO_TRAIT_AGENDA_DOTARD_EXPLORATION_OBSESSED', 'QUO_SECRET_EXPLORER_DOTARD'),
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_HAPPINESS', 'QUO_SECRET_FUN_LOVING_DOTARD'),
	('QUO_TRAIT_AGENDA_DOTARD_GREAT_PERSON_ADVOCATE', 'QUO_SECRET_GREAT_PERSON_ADVOCATE_DOTARD'),
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_SAME_GOVERNMENT', 'QUO_SECRET_IDEOLOGUE_DOTARD'),
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_INDUSTRY', 'QUO_SECRET_INDUSTRIALIST_DOTARD'),
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_INCOME', 'QUO_SECRET_MONEY_GRUBBER_DOTARD'),
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_NUKES', 'QUO_SECRET_NUKE_LOVER_DOTARD'),
	('QUO_TRAIT_AGENDA_DOTARD_PARANOID', 'QUO_SECRET_PARANOID_DOTARD'),
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_POPULATION', 'QUO_SECRET_POPULOUS_DOTARD') ,
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_STANDING_ARMY',	'QUO_SECRET_STANDING_ARMY_DOTARD') ,
	('QUO_TRAIT_AGENDA_DOTARD_PREFER_SCIENCE', 'QUO_SECRET_TECHNOPHILE_DOTARD') ,
	('QUO_TRAIT_AGENDA_DOTARD_WONDER_ADVOCATE',	'QUO_SECRET_WONDER_ADVOCATE_DOTARD') ;
 
 
INSERT INTO AgendaTraits
		(AgendaType, TraitType)
VALUES	('QUO_AGENDA_AIRPOWER_DOTARD', 'QUO_TRAIT_AGENDA_DOTARD_PREFER_AIRPOWER') ,
		('QUO_AGENDA_CITY_STATE_ALLY_DOTARD', 'QUO_TRAIT_AGENDA_DOTARD_CITY_STATE_ALLY') ,
		('QUO_AGENDA_CITY_STATE_PROTECTOR_DOTARD', 'QUO_TRAIT_AGENDA_DOTARD_PREFER_CITY_STATE_PROTECTOR') ,
		('QUO_AGENDA_CIVILIZED_DOTARD', 'QUO_TRAIT_AGENDA_DOTARD_PREFER_CLEAR_BANDIT_CAMPS') ,
		('QUO_AGENDA_CULTURED_DOTARD', 'QUO_TRAIT_AGENDA_DOTARD_PREFER_CULTURE') ,
		('QUO_AGENDA_DARWINIST_DOTARD', 'QUO_TRAIT_AGENDA_DOTARD_ENJOYS_WAR') ,
		('QUO_AGENDA_DEVOUT_DOTARD', 'QUO_TRAIT_AGENDA_DOTARD_PREFER_FAITH') ,
		('QUO_AGENDA_ENVIRONMENTALIST_DOTARD', 'QUO_TRAIT_AGENDA_DOTARD_PREFER_ENVIRONMENT') ,
		('QUO_AGENDA_EXPLOITATIVE_DOTARD', 'QUO_TRAIT_AGENDA_DOTARD_PREFER_EXPLOITATION') ,
		('QUO_AGENDA_EXPLORER_DOTARD', 'QUO_TRAIT_AGENDA_DOTARD_EXPLORATION_OBSESSED') ,
		('QUO_AGENDA_FUN_LOVING_DOTARD', 'QUO_TRAIT_AGENDA_DOTARD_PREFER_HAPPINESS') ,
		('QUO_AGENDA_GREAT_PERSON_ADVOCATE_DOTARD', 'QUO_TRAIT_AGENDA_DOTARD_GREAT_PERSON_ADVOCATE') ,
		('QUO_AGENDA_IDEOLOGUE_DOTARD', 'QUO_TRAIT_AGENDA_DOTARD_PREFER_SAME_GOVERNMENT') ,
		('QUO_AGENDA_INDUSTRIALIST_DOTARD', 'QUO_TRAIT_AGENDA_DOTARD_PREFER_INDUSTRY') ,
		('QUO_AGENDA_MONEY_GRUBBER_DOTARD', 'QUO_TRAIT_AGENDA_DOTARD_PREFER_INCOME') ,
		('QUO_AGENDA_NUKE_LOVER_DOTARD', 'QUO_TRAIT_AGENDA_DOTARD_PREFER_NUKES') ,
		('QUO_AGENDA_PARANOID_DOTARD', 'QUO_TRAIT_AGENDA_DOTARD_PARANOID') ,
		('QUO_AGENDA_POPULOUS_DOTARD', 'QUO_TRAIT_AGENDA_DOTARD_PREFER_POPULATION') ,
		('QUO_AGENDA_STANDING_ARMY_DOTARD', 'QUO_TRAIT_AGENDA_DOTARD_PREFER_STANDING_ARMY') ,
		('QUO_AGENDA_TECHNOPHILE_DOTARD', 'QUO_TRAIT_AGENDA_DOTARD_PREFER_SCIENCE') ,
		('QUO_AGENDA_WONDER_ADVOCATE_DOTARD', 'QUO_TRAIT_AGENDA_DOTARD_WONDER_ADVOCATE') ;
 
 
UPDATE tblQuoDebug SET Message = 'Complete' WHERE DebugId='Quo_Secrets_Code' ;

-- UPDATE BUG TRACKER
-- This code should go last in every file


UPDATE tblQuoDebug SET x_Close='1' WHERE DebugID='Quo_Secrets_Code';